;
; common.inc
;

; gamepad values
PAD_A      := $01
PAD_B      := $02
PAD_SELECT := $04
PAD_START  := $08
PAD_U      := $10
PAD_D      := $20
PAD_L      := $40
PAD_R      := $80

oam        := $0500

; access to variables defined in ramcode.s

.importzp nmi_count     ; ticks by one every NMI
.importzp gamepad       ; gamepad state
.importzp temp_word0    ; temporary word variable
.importzp temp_word1    ; temporary word variable
.importzp temp_word2    ; temporary word variable
.importzp temp_word3    ; temporary word variable
.import bank_add        ; number to add to bankswitch
.import last_8000       ; bank at 8000 when player.s not active
.import last_9000       ; bank at 9000 when player.s not active
.import pal             ; detected: 0=NTSC, 1=PAL, 2=DENDY
.import fps             ; 60 NTSC or 50 PAL/DENDY
.import frame           ; counts 0-fps
.import sec0            ; counts 0-9 as frame ticks over
.import sec1            ; counts 0-5 as sec0 ticks over
.import min0            ; counts 0-9 as sec1 ticks over
.import min1            ; counts 0-9
.import play_addr       ; NSF play address
.import init_addr       ; NSF init address
.import track_nsf       ; NSF track to play
.import pal_nsf         ; NSF pal mode
.import pal_adjust      ; counts 0-5 for doubled frames
.import pal_adjust_on   ; 0 if not doubling every 5th frame
.import main_exit       ; 1 to return to player main_exit, disable NMI first! 2 = play new track
.import play            ; play flag, 0 to pause audio
.import player_on       ; track screen running
.import play_through    ; continuous play
.import play_seconds    ; seconds of track played
.import track           ; current track
.import menu_pos        ; menu position
.import menu_hold       ; wait for input to clear
.import menu_blip       ; menu blip sound
.import gfx_pal         ; 32 byte palette
.import gfx_nmt         ; 32 byte nametable update
.import gfx_latch       ; address for nametable update
.import gfx_len         ; bytes in nametable update
.import gfx_ready       ; 1 = NMI should upload palette
.import oam_pos         ;
.import param_a         ;
.import param_b         ;
.import param_c         ;
.import param_d         ;
.import anim_a          ;
.import anim_b          ;
.import anim_c          ;
.import anim_d          ;
.import prng_seed       ;

.import PARTICLE_COUNT
.import particle_x
.import particle_y
.import particle_p
.import particle_s
.import particle_t
.import speed_rng
.import tick_cycle
.import slash_slider
.import quad_hack
.import cheat_code
